| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.AzElMask Class Reference

Azimuth-elevation mask. More...

List of all members.

## Public Member Functions
| AzElMask ()
| Empty Class constructor.
| AzElMask (long numPt, double[] az, double[] el)
| Parameter class constructor.
| AzElMask (long numPt, long status, double[] az, double[] el)
| Parameter class constructor.
| AzElMask (AzElMask azel)
| Copy constructor.
## Public Attributes
long | numMaskPt
| Number of azimuth and elevation pairs defining the antennamask.
long | status
| Allow the user to enable/disable the mask.
double[] | azimuth
| Azimuth defining the antenna mask.
double[] | elevation
| Elevation defining the antenna mask.

## Detailed Description

Azimuth-elevation mask.

## Constructor & Destructor Documentation

EECFI.AzElMask.AzElMask | ( |  | ) |

Empty Class constructor.

EECFI.AzElMask.AzElMask | ( | long | numPt,
|  | double[] | az,
|  | double[] | el |
| ) |  |  |

Parameter class constructor.

EECFI.AzElMask.AzElMask | ( | long | numPt,
|  | long | status,
|  | double[] | az,
|  | double[] | el |
| ) |  |  |

Parameter class constructor.

EECFI.AzElMask.AzElMask | ( | AzElMask | azel | ) |

Copy constructor.

## Member Data Documentation

double [] EECFI.AzElMask.azimuth

Azimuth defining the antenna mask.

double [] EECFI.AzElMask.elevation

Elevation defining the antenna mask.

long EECFI.AzElMask.numMaskPt

Number of azimuth and elevation pairs defining the antennamask.

long EECFI.AzElMask.status

Allow the user to enable/disable the mask.

The behaviour of the status field is described below for each type of mask:
Inclusive mask:
Status = XL_FALSE: no constraints (regardless of number of points)
Status = XL_TRUE and number of points = 0 : no constraints
Exclusive mask:
Status = XL_FALSE: mask is ignored (regardless of number of points)
Status = XL_TRUE and number of points = 0 : mask is ignored
Combining the two above:
Each mask define a polygon.
Forbidden areas are:
1) the area OUTSIDE the inclusive polygon;
2) the area INSIDE the exclusive polygon;